# $Revision: 1.7 $, $Date: 2004/10/09 11:04:07 $
%define		realname	lib3ds
Summary:	The 3D Studio File Format Library - Mingw32 cross version
Summary(pl):	Biblioteka obsugujca format plikw 3D Studio - wersja skrona dla Mingw32
Name:		crossmingw32-%{realname}
Version:	1.2.0
Release:	4
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/lib3ds/%{realname}-%{version}.tar.gz
# Source0-md5:	3a7f891d18af0151876b98bc05d3b373
URL:		http://lib3ds.sourceforge.net/
Requires:	crossmingw32-runtime
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-w32api
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target		i386-mingw32
%define		target_platform	i386-pc-mingw32
%define		arch		%{_prefix}/%{target}
%define		gccarch		%{_prefix}/lib/gcc-lib/%{target}
%define		gcclib		%{_prefix}/lib/gcc-lib/%{target}/%{version}

%define		__cc		%{target}-gcc
%define		__cxx		%{target}-g++

%ifarch alpha sparc sparc64 sparcv9
%define		optflags	-O2
%endif

%description
lib3ds is a free alternative to Autodesk's 3DS File Toolkit for
handling 3DS files. It's main goal is to simplify the creation of 3DS
import and export filters.

%description -l pl
lib3ds to wolnodostpna alternatywa dla 3DS File Toolkit Autodeska do
obsugi plikw 3DS. Gwnym celem biblioteki jest uproszczenie
tworzenia filtrw importujcych i eksportujcych 3DS.

%package dll
Summary:	%{realname} - DLL library for Windows
Summary(pl):	%{realname} - biblioteka DLL dla Windows
Group:		Applications/Emulators

%description dll
%{realname} - DLL library for Windows.

%description dll -l pl
%{realname} - biblioteka DLL dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
CC=%{target}-gcc ; export CC
CXX=%{target}-g++ ; export CXX
LD=%{target}-ld ; export LD
AR=%{target}-ar ; export AR
AS=%{target}-as ; export AS
CROSS_COMPILE=1 ; export CROSS_COMPILE
CPPFLAGS="-I%{arch}/include" ; export CPPFLAGS
RANLIB=%{target}-ranlib ; export RANLIB
LDSHARED="%{target}-gcc -shared" ; export LDSHARED
TARGET="%{target}" ; export TARGET

tail -n 116 aclocal.m4 | head -n 102 > acinclude.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--host=%{_host} \
	--target=%{target}

# glut is broken
echo "int main(){}" > examples/player.c

%{__make}

cd lib3ds
%{__cc} --shared *.o -Wl,--enable-auto-image-base -o 3ds.dll -Wl,--out-implib,lib3ds.dll.a

%if 0%{!?debug:1}
%{target}-strip *.dll
%{target}-strip -g -R.comment -R.note *.a
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{arch}/{include/lib3ds,lib}
install -d $RPM_BUILD_ROOT%{_datadir}/wine/windows/system

cd lib3ds

install *.h $RPM_BUILD_ROOT%{arch}/include/lib3ds
rm $RPM_BUILD_ROOT%{arch}/include/lib3ds/chunktable.h
install lib3ds{,.dll}.a $RPM_BUILD_ROOT%{arch}/lib
install 3ds.dll $RPM_BUILD_ROOT%{_datadir}/wine/windows/system

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{arch}/include/*
%{arch}/lib/*

%files dll
%defattr(644,root,root,755)
%{_datadir}/wine/windows/system/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-lib3ds.spec,v $
Revision 1.7  2004/10/09 11:04:07  wolf
- rel++
- R: crossmingw32-runtime

Revision 1.6  2004/09/16 15:34:58  wolf
- rel 3 to rebuild with gcc 3.4.2

Revision 1.5  2004/02/21 18:44:59  wolf
- fix alpha, sparc

Revision 1.4  2004/01/05 20:23:05  ankry
- new head/tail syntax

Revision 1.3  2004/01/04 16:57:10  wolf
- don't require wine to build

Revision 1.2  2003/12/29 21:45:38  wolf
- removed nonexisting patch

Revision 1.1  2003/12/25 19:04:24  wolf
- new

